1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Need help

Discussion in 'Sony PSP - Mod and firmware discussion' started by beast23, May 7, 2007.

  1. beast23

    beast23 Member

    Joined:
    Apr 26, 2007
    Messages:
    48
    Likes Received:
    0
    Trophy Points:
    16
    Hi,

    I went to some sites, where some very confusing stuff was written, that said Devhook 0.50 with Firmware 2.82. devhook 0.50 installer package was also mentioned in that. i want to know, is there anything taht we can do, as i have firmware 2.81, so do i just need to upgrade to 2.82 and use the same package and that will make gameplay for downloaded games possible for me... or what exactly does it mean?

    If this is possible is it safe?
     
  2. svtstang

    svtstang Regular member

    Joined:
    Apr 23, 2006
    Messages:
    4,565
    Likes Received:
    0
    Trophy Points:
    46
    What you need to do is upgrade to 3.03 then downgrade to 1.50, then upgrade to OE firmware....it is totally safe if you know how to read.

    BTW change the title of this thread.
     
    Last edited: May 11, 2007
  3. Nephilim

    Nephilim Moderator Staff Member

    Joined:
    Feb 13, 2003
    Messages:
    14,942
    Likes Received:
    0
    Trophy Points:
    116
    beast23,

    Although my buddy 'stang needs to put things a bit nicer he's correct in the fact that forum rules ask that you use a more descriptive thread title than "need help" ;)
     
  4. svtstang

    svtstang Regular member

    Joined:
    Apr 23, 2006
    Messages:
    4,565
    Likes Received:
    0
    Trophy Points:
    46
    Ok i changed it Neph :(

    Good to see you back bud!!
     
  5. Nephilim

    Nephilim Moderator Staff Member

    Joined:
    Feb 13, 2003
    Messages:
    14,942
    Likes Received:
    0
    Trophy Points:
    116
    Gracias mi compadre.
     

Share This Page